MODULE param
!	include file with the maximum field dimensions
!	most memory consuming parameters are: ndim,ndim1-3
!	this was used on a PC with 4GB RAM
!
!	ndim1,2,3 -number of grid points in 3D
!	mion, matom -number of ions and atoms considered
!	mfreq -number of frequences
!	mline -number of spectral lines
!	mphase -number of phases
!	mstarx -number of frequences for albedo or stellar spectra
!	mspecx -number of spectra in the temperature grid

IMPLICIT NONE

INTEGER, PARAMETER:: ndim1=210
INTEGER, PARAMETER:: ndim2=210
INTEGER, PARAMETER:: ndim3=210
INTEGER, PARAMETER:: ndim=210
INTEGER, PARAMETER:: mion=9
INTEGER, PARAMETER:: maton=99
INTEGER, PARAMETER:: mfreq=1000
INTEGER, PARAMETER:: mphase=100
INTEGER, PARAMETER:: mstarx=40000
INTEGER, PARAMETER:: mline=10
INTEGER, PARAMETER:: matom=99
INTEGER, PARAMETER:: mspecx=10
INTEGER, PARAMETER:: mspectrum=273 !pocet radku u nacitani spekter

END MODULE param
