PROGRAM shellspec17gen1

USE shellgen
USE Genetic_Algorithm
USE initsh

IMPLICIT NONE

 INTEGER	    :: clock
 INTEGER            :: seed, STATUS!, ndata
 INTEGER, PARAMETER :: npar = 4
 REAL               :: ctrl(12), xpar(npar), fb

!  ndata = 100
!  seed = 123456
!  call rninit(seed)
 
CALL SYSTEM_CLOCK(clock)
seed=clock
 
! Set control variables 
 ctrl(1:12) = -1
! Number of individuals in population
 ctrl(1) = 100
! Number of generations 
 ctrl(2) = 150
! 
 ctrl(3) = 6
! 
 ctrl(6) = 0.005
! Verbose mode
 ctrl(12) = 3

! Now call pikaia
CALL rninit(seed)
 call pikaia(shell_calculation,npar,ctrl,xpar,fb,STATUS)
!     Print the results
WRITE(*,*) ' status: ', STATUS
WRITE(*,*) '      x: ', xpar
WRITE(*,*) '      f: ', fb
WRITE(*,20) ctrl
20 FORMAT('    ctrl: ', 6F11.6 / t11, 6F11.6)

! call pikaia(test,npar,ctrl,xpar,fb,STATUS)

! Only for testing purpose with fitness function test
! write (*,*) '      a: ',0.8+xpar(1)*0.3,' b: ',0.3+0.3*xpar(2)
 
!   write(*,*) 'vysledek:',vysledek

END PROGRAM shellspec17gen1
